Skip to main content
Get Form Entity

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

formEntityId
integer<int32>
required

The identifier of the FormEntity object

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Response

OK

Definition and configuration of a Form Carrier object for FormEntity. Services for the FormEntity Carrier is available from the Marketing Agent.

FormId
integer<int32>

Primary key

FormKey
string

A short string used as unique id to access this form

Name
string

The name of this form

Description
string

Detailed description

Config
string

The JSON-formatted config of this form

FolderId
integer<int32>

The folder which this form belongs to. -1 indicates that the shipment is on the root

ScriptId
integer<int32>

The CRMScript Macro which will be run when the form is submitted.

ResponseShipmentId
integer<int32>

The id of the s_shipment that is used to send the response mails

Active
boolean

Indicates if this form is active or not

Expires
string<date-time>

After this datetime, the form will become inactive

MaxSubmits
integer<int32>

After this number of submits, the form will become inactive

Type
enum<string>

What kind of form is this? Indicates if this is a normal form or a template

Available options:
Normal,
Template
Recipe
string

The JSON-formatted recipe of this form

GroupId
integer<int32>

The group which this form belongs to.

NewTicket
boolean

Indicates if this form creates a ticket or not

RecaptchaMode
enum<string>

What is the state of the recaptcha configuration? This is a read-only member

Available options:
NotAvailable,
GlobalKeysExist,
KeysNeeded
Registered
string<date-time>

Registered when in UTC.

RegisteredAssociateId
integer<int32>

Registered by whom

Updated
string<date-time>

Last updated when in UTC.

UpdatedAssociateId
integer<int32>

Last updated by whom

UpdatedCount
integer<int32>

Number of updates made to this record

EmailFlows
integer<int32>[]

EmailFlows this form is used in (read-only)

FolderName
string

The name of the folder for this form

TableRight
object

Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.

FieldProperties
object

Field property dictionary mapping field names to field access rights.